View Issue Details

IDCategoryLast Update
0008113bugs2020-05-17 19:32
Reportercooltehno_bugsAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Product Version6.0-pre1 
Fixed in Version 
Summary0008113: Slider "editable region" has no effect on transparency of an editable midi region
DescriptionThe position of a slider "editable region" at Preferences>Appearance>Colors>Transparency has no any influence to the editable midi region. In Ardour 5 this option works fine (comfortable to visually differ "G" and "E" modes), but Ardour 6 doesn't.
Steps To ReproduceSwitch to the "E"-mode (Edit Mouse Mode). Go Preferences>Appearance>Colors>Transparency. Find a slider "editable region". Drag the slider to the left: this must make an editable region transparent - but it stays at the same value (not transparent).
Additional InformationThere are two uploaded .gif-files demonstrating this function working in Ardour 5 and not working in Ardour 6
TagsNo tags attached.

Activities

cooltehno_bugs

2020-05-14 23:43

reporter  

G_E_mode_transparent.gif (194,776 bytes)
G_E_mode_transparent.gif (194,776 bytes)
G_E_mode_transparent_ardour6.gif (364,447 bytes)

paul

2020-05-16 14:30

administrator   ~0024170

fixed in eecb498a70

I believe this was just a thinko as I was working recently on MIDI note selection.

cooltehno_bugs

2020-05-17 19:32

reporter   ~0024183

Paul, very super big thanks! :)

Issue History

Date Modified Username Field Change
2020-05-14 23:43 cooltehno_bugs New Issue
2020-05-14 23:43 cooltehno_bugs File Added: G_E_mode_transparent.gif
2020-05-14 23:43 cooltehno_bugs File Added: G_E_mode_transparent_ardour6.gif
2020-05-16 14:30 paul Assigned To => paul
2020-05-16 14:30 paul Status new => resolved
2020-05-16 14:30 paul Resolution open => fixed
2020-05-16 14:30 paul Note Added: 0024170
2020-05-17 19:32 cooltehno_bugs Note Added: 0024183